PICOP_CTRL_Type Union Reference

## Data Fields

struct {
uint32_t MAPUEXCEPT:1
uint32_t WPICACHE:1
uint32_t WPVEC:2
uint32_t WPCTX:2
uint32_t WPCODE:4
uint32_t __pad0__:22
} | bit
uint32_t | reg

## Detailed Description

Definition at line 116 of file picop.h.

## Field Documentation

## __pad0__

uint32_t PICOP_CTRL_Type::__pad0__

bit: 10..31 Reserved

Definition at line 123 of file picop.h.

## bit

struct { ... } PICOP_CTRL_Type::bit

Structure used for bit access

## MAPUEXCEPT

uint32_t PICOP_CTRL_Type::MAPUEXCEPT

bit: 0 Enable exception for illegal access

Definition at line 118 of file picop.h.

## reg

uint32_t PICOP_CTRL_Type::reg

Type used for register access

Definition at line 125 of file picop.h.

## WPCODE

uint32_t PICOP_CTRL_Type::WPCODE

bit: 6.. 9 Write protect code

Definition at line 122 of file picop.h.

## WPCTX

uint32_t PICOP_CTRL_Type::WPCTX

bit: 4.. 5 Write protect contexts

Definition at line 121 of file picop.h.

## WPICACHE

uint32_t PICOP_CTRL_Type::WPICACHE

bit: 1 Write protect iCache

Definition at line 119 of file picop.h.

## WPVEC

uint32_t PICOP_CTRL_Type::WPVEC

bit: 2.. 3 Write protect vectors

Definition at line 120 of file picop.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/picop.h